# Record Class ARI1DottedName

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1DottedName

Record Components:
  `value` - The name

All Implemented Interfaces:
  `Comparable<ARI1DottedName>`

public record ARI1DottedName(String value) extends Record implements Comparable<ARI1DottedName>
A standard restricted dotted name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1DottedName(String value)`
  A standard restricted dotted name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ARI1DottedName o)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1DottedName

    public ARI1DottedName(String value)
    A standard restricted dotted name.
    Parameters:
      `value` - The name

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(ARI1DottedName o)
    Specified by:
      `compareTo` in interface `Comparable<ARI1DottedName>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component